<?php
include_once("c_esmo_gateway_push_mo.php");
class c_page_cab_esmo_gateway_push_mo_setting extends c_page_cab_esmo_gateway_push_mo
{   public $h1='Оповещение по результату МО - настройки' ;
    public $use_datepicker=1 ;

    var $arr_mode=array(1=>'Асинхронный',2=>'Синхронный') ;

   function block_main()
   { $this->page_title() ;
     $this->panel_tech_edit() ;
   }

   function panel_tech_edit()
   { $period=array() ;
     for($i=1;$i<=60;$i++) $period['*/'.$i.' * * * *']=$i.' мин.' ;
     if (!is_array($GLOBALS['LS_mo_push_fields'])) $GLOBALS['LS_mo_push_fields']=unserialize($GLOBALS['LS_mo_push_fields']) ;
     ?><form class="sky-form  no_box_shadow">
       <table class="basic fz_small auto left" style="width:48%;float:left;">
        <tr><th colspan="2"><h2>Настройки шлюза</h2></th></tr><?
         $comment_sync=($GLOBALS['LS_mo_push_sync'])? 'Включено с '.date('d.m.Y H:i:s',$GLOBALS['LS_mo_push_sync']):'' ;
         $comment_async=($GLOBALS['LS_mo_push_async'])? 'Включено с '.date('d.m.Y H:i:s',$GLOBALS['LS_mo_push_async']):'' ;
         $value_sync=($GLOBALS['LS_mo_push_sync'])? $GLOBALS['LS_mo_push_sync']:time() ;
         $value_async=($GLOBALS['LS_mo_push_async'])? $GLOBALS['LS_mo_push_async']:time() ;
         $this->form_checkbox('Включить синхронную отправку PUSH-уведомления по результату МО',$comment_sync,'LS_mo_push_sync',0,$value_sync) ;
         $this->form_checkbox('Включить асинхронную отправку PUSH-уведомлений по результатам МО',$comment_async,'LS_mo_push_async',0,$value_async) ;
         $this->form_element_input('Дата начала отправки уведомлений','','LS_mo_push_time_from',['class'=>'datepicker']) ;
         $this->form_element_select('Формат отправляемых данных','','LS_mo_push_format',$_SESSION['ARR_mo_push_format'],array('cur_value'=>$GLOBALS['LS_mo_push_format'])) ;
           if ($GLOBALS['LS_mo_push_format']==2) {?><tr><td>XSD схема XML-документа <div class="comment">Действительно только для текущего набора отправляемых данных. При изменении набора данных необходимо заново скачать XSD-схему</div></td>
               <td><a href="/services/esmo_gateway/push_mo_xsd/">Скачать</a>&nbsp;&nbsp;&nbsp;<a class="new_window" href="/services/esmo_gateway/push_mo_xsd/?view">Посмотреть</a></td></tr><?}
         
         $rec_cron=ENGINE()->get_cron_by_code('ESMO/cron_send_push_mo_result_async') ;

         $this->form_element_select('Интервал отправки данных в асинхронном режиме, минут','','CRON[ESMO/cron_send_push_mo_result_async]',$period,array('cur_value'=>$rec_cron['intr'])) ;

         $this->form_element_input('Таймаут при синхронной отправке, секунд','','LS_mo_push_timeout_sync') ;
         $this->form_element_input('Таймаут при асинхронной отправке, секунд','','LS_mo_push_timeout_async') ;
         $this->form_element_input('Максимальное число МО, отправляемых за раз при асинхронной отправке','','LS_mo_push_async_size') ;
         $this->form_element_textarea('URL для PUSH','','LS_mo_push_server') ;
         $this->form_element_input('Логин для BASIC-авторизации','','LS_mo_push_login') ;
         $this->form_element_input('Пароль для BASIC-авторизации','','LS_mo_push_password',array('type'=>'password')) ;
         $this->form_checkbox('Уведомлять фельдшера при недоступности шлюза','Вывод всплывающих уведомлений о недоступности шлюза на мониторинг дежурного фельдшера группы','LS_mo_push_notify_doctor') ;
       ?></table><?
       ?><table class="basic fz_small auto left" style="width:48%;float:right;">
         <tr><th colspan="2"><h2>Отправляемые данные</h2></th></tr><?
         $this->form_checkbox_to_arr('<strong>mo_id</strong> - ID сессии МО','','LS_mo_push_fields','mo_id') ;
         $this->form_checkbox_to_arr('<strong>time_now</strong> - текущее время сервера','','LS_mo_push_fields','time_now') ;
         $this->form_checkbox_to_arr('<strong>time_start</strong> - время начала МО','','LS_mo_push_fields','time_start') ;
         $this->form_checkbox_to_arr('<strong>group_name</strong> - наименование группы ЭСМО, где был проведен МО','','LS_mo_push_fields','group_name') ;
         $this->form_checkbox_to_arr('<strong>personal_name</strong> - ФИО сотрудника','','LS_mo_push_fields','personal_name') ;
         $this->form_checkbox_to_arr('<strong>personal_uid</strong> -  UID сотрудника','','LS_mo_push_fields','personal_uid') ;
         $this->form_checkbox_to_arr('<strong>personal_tabnumber</strong> -  табельный номер сотрудника','','LS_mo_push_fields','personal_tabnumber') ;
         $this->form_checkbox_to_arr('<strong>doctor_name</strong> -  ФИО дежурного доктора','','LS_mo_push_fields','doctor_name') ;
         $this->form_checkbox_to_arr('<strong>doctor_sert</strong> -  ЭЦП доктора','','LS_mo_push_fields','doctor_sert') ;
         $this->form_checkbox_to_arr('<strong>doctor_issuer_name</strong> -  Удостоверяющий центр выпустивший ЭП','','LS_mo_push_fields','doctor_issuer_name') ;
         $this->form_checkbox_to_arr('<strong>comment</strong> - причина недопуска, текст','','LS_mo_push_fields','comment') ;
         //$this->form_checkbox_to_arr('<strong>mo_result</strong> - результат МО','2 - осмотр окончен полож., 3 - осмотр окончен отриц., 4 - осмотр прерван','LS_mo_push_fields','mo_result') ;
         //$this->form_checkbox_to_arr('<strong>mo_result_text</strong> - расшифровка mo_result','','LS_mo_push_fields','mo_result_text') ;
         $this->form_checkbox_to_arr('<strong>type_mo</strong> - тип МО','0 - предсменный, 1 - послесменный, 2 - межсменный','LS_mo_push_fields','type_mo') ;
         $this->form_checkbox_to_arr('<strong>dopusk</strong> - допуск','1 - допуск получен, 2 - допуск не получен','LS_mo_push_fields','dopusk') ;
         $this->form_checkbox_to_arr('<strong>dopusk_text</strong> - расшифровка dopusk','','LS_mo_push_fields','dopusk_text') ;
         $this->form_checkbox_to_arr('<strong>dopusk_start</strong> - время начала действия допуска','','LS_mo_push_fields','dopusk_start') ;
         $this->form_checkbox_to_arr('<strong>dopusk_end</strong> - время окончания действия допуска','','LS_mo_push_fields','dopusk_end') ;
         //$this->form_checkbox_to_arr('<strong>reason</strong> - сообщение терминала о причине отказа в прохождении МО','','LS_mo_push_fields','reason') ;
         //$this->form_checkbox_to_arr('<strong>equipment</strong> - сообщение терминала о источнике отказа в прохождении МО','','LS_mo_push_fields','equipment') ;
         $this->form_checkbox_to_arr('<strong>stamp</strong> - изображение печати по прохождению МО','','LS_mo_push_fields','stamp') ;
         $this->form_checkbox_to_arr('<strong>group_time_zone</strong> - временная зона группы ЭСМО','','LS_mo_push_fields','group_time_zone') ;
      ?></table>
       <div class="clear center">
           <button class="button v2" cmd="aspmo_setting/save_setting">Сохранить</button>
           <!--<button class="button v2" cmd="esmo_gateway/reset_mo_event_send_status">Сбросить счетчик</button>-->
       </div>
       </form>
     <?
 }



}



?>